@font-size-base:  14px;
html, body{
  height: 100% !important;
  position: relative;
  font-family: 'Exo 2', sans-serif;
  background: url(./img/bg-home.jpg) center center no-repeat;
  background-position-x: 50%;
  background-position-y: 95%;
  background-attachment: fixed;
  background-size: cover;
}

button{
  outline: none;
  box-shadow: none;
}

main{
  height: 100%;
  padding-top: 50px;
  //background: rgba(255,255,255,0.25);
}
.white{
  background: white;
}
.reneco .reneco-ecorelevesmall{
  padding-bottom: 5px;
}

.black{
  background: black;
}

.table-cell{
  display: table-cell;
}

.color-white{
  color: white;
}

.outer-left{
  position: relative;
  left: -100%;
}

.outer-right{
  position: relative;
  right: -100%;
}

.oh{
  overflow: hidden!important;
}

.btn-circle{
  border: none;
  background: transparent;
  border-radius: 100%;
  color: white;
  margin: 0px 15px;
}

.rel{
  position: relative;
}


.detail{
  position: absolute;
  width: 100%;
  top: 0;
}

.clear{
  float: none;
  clear: both;
}

ul.unstyled{
  padding: 0px;
  margin: 0px;
}


.container{
  height: 100%;
}

.masqued{
  display: none;
}

a{
  &:hover, &:focus, &:visited{
    text-decoration: none;
    color: inherit;
  }
  &.whitev:visited{
    color: white;
  }
}

.leaflet-popup-content a, .leaflet-popup-content a:hover, .leaflet-popup-content a:visited {
  color : #0078A8;
  text-decoration : underline;
}

.no-padding, .ns-no-padding{
  padding: 0px!important;
}
.no-padding-left{
  padding-left: 0px!important;
}

.full-height, .ns-full-height{
  overflow: auto;
  height: 100%;
}
.full-width{
  width: 100%;
}
.mid-height{
  height: 50%!important;
  display: flex;
  align-items: center;
  justify-content: center;
}

.half-height{
  height: 60%;
  overflow: auto;
}

.half-height.individuals{
  height: fit-content;
}

@media (max-width: @screen-lg){
  .mid-height{
    display: block;
    align-items: inherit;
    justify-content: inherit;
  }
}

span.bull-warn{
  color: rgb(208, 2, 27);
  padding: 5px;
  font-size: 1.3em;
}

//???
/* .tab-content.all-stations {
  height: 0;
} */

/* @media (max-width: @screen-md-min) {
  .full-height{
    height: auto;
  }
} */

.pos-abs{
  position: absolute;
}


.col-border {
  border-right: 1px solid rgb(221, 221, 221);
}

li.list-group-item{
  overflow: hidden;
  cursor: pointer;
  &.validated{
    border: 1px solid @main-green;
    background: @main-green;
    color: white;
  }
}

.grey{
  color: #A7A6A6;
}

/*==========  scroll bar design  ==========*/
::-webkit-scrollbar-thumb {
  background: @gray-light;
  width: 8px;
  border: 1px solid #999;
  margin: 5px;
}
::-webkit-scrollbar{
  background: #ccc;
  width: 8px;
  height: 8px;
  margin: 5px;
  cursor: pointer;
}

.break{
  word-wrap : break-word;
}

.bottom-padding{
    padding-bottom: 70px !important;
}

.height-padding{
  padding-top: 15px;
  padding-bottom: 15px;
  border-bottom: 1px solid #ddd;
}

.noselect {
	* {
		cursor : pointer;
		-webkit-touch-callout: none;
		-webkit-user-select: none;
		-khtml-user-select: none;
		-moz-user-select: none;
		-ms-user-select: none;
		user-select: none;
	}
  cursor : pointer;
  -webkit-touch-callout: none;
  -webkit-user-select: none;
  -khtml-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
}

.rotate3d{
  transition: all .3s ease;
  transform: perspective( 1000px ) rotateY( 90deg );
}

.animated {
  -webkit-animation-duration: .6s;
  animation-duration: .6s;
}

.btn[disabled]{
  pointer-events: auto;
}

.bg-white{
  background: white;
}

@media (min-width: 992px){
  .modal-lg {
      width: 1200px;
  }
}

.rotate {
    display: block;
    position: absolute;
    margin: 0;
    padding: 30px 0px;
    -webkit-transform: rotate(-90deg);
    -moz-transform: rotate(-90deg);
    -ms-transform: rotate(-90deg);
    -o-transform: rotate(-90deg);
    transform: rotate(-90deg);
}

.circle{
  border: 2px solid;
    background: transparent;
    border-radius: 100%;
    padding: 5px;
    font-weight: bolder;
}

.border-left{
	border-left: 1px solid rgb(221, 221, 221);
}
.border-right{
	border-right: 1px solid rgb(221, 221, 221);
}

.border-right-strong{
  border-right: 1px solid #ccc;
}


.loading {
      display: inline-block;
      font-family: 'reneco' !important;
      speak: none;
      font-style: normal;
      font-weight: normal;
      font-variant: normal;
      text-transform: none;
      line-height: 1;
      -webkit-font-smoothing: antialiased;

    -animation: spin .7s infinite linear;
    -ms-animation: spin .7s infinite linear;
    -webkit-animation: spinw .7s infinite linear;
    -moz-animation: spinm .7s infinite linear;
}
.loading:before{
  content: "\e65a";
}
@keyframes spin {
    from { transform: scale(1) rotate(0deg);}
    to { transform: scale(1) rotate(360deg);}
}

@-webkit-keyframes spinw {
    from { -webkit-transform: rotate(0deg);}
    to { -webkit-transform: rotate(360deg);}
}

@-moz-keyframes spinm {
    from { -moz-transform: rotate(0deg);}
    to { -moz-transform: rotate(360deg);}
}


a.btn{
  color: inherit;
  &:not([class*="btn-"]){
    background: rgb(221, 221, 221);
    //margin-top : 4px;
  }
  &[class*="btn-"] {
    &:hover, &:focus, &:visited{
      text-decoration: none;
      color: white;
    }
    color: white;
  }
}

a.btn:hover, button.btn.pull-left:hover{
  background-color: #c1c1c1;
}

.file-row.marg10{
  //margin-top: 20px;
  font-size: 17px;
  //line-height: 3em;
  // display: table-cell;
  // vertical-align: middle;
  // .name {
  //   font-size: 17px;
  // }
  .size {
    margin-left:15px;
    //font-size: 15px;
  }
}


.swal2-popup {
 font-size : 1.6rem !important;
}
.camtrapSummary{
  .row {
    margin-left: 0;
    margin-right: 0;
  }
}

.js-dateOk {
  #js-fileDate {
    color : green;
  }
}
.js-dateOutOfRange {
  #js-fileDate {
    color : red;
  }
}
.js-dateInRange {
  #js-fileDate {
    color : yellow;
  }
}

input.form-control{
  min-height: 34px;
  text-overflow: ellipsis;
}

.form-control[disabled="disabled"] {
  box-shadow: none !important;
  border: none !important;
}

/* SENSORS */
#infos{
  .half-height{
    .ag-bl-full-height{
      overflow: hidden !important;
    }
  }
}
.toolbar.top{
  .pull-right {
    float: right !important;
    margin-left: 3px;
  }
  .pull-left{
    margin-left: 3px;
  }
}


/* INDIVIDUALS */
.individual{
  .btn{
    border-radius : 25px !important;
  }
  
  .pull-left{
    a.btn:not([class*="btn-"]){
      margin-top: 0px !important;
    }
  }
  .individuals{
    #formTab{
      .js-form{
        padding: 5px;
      }
      height : 40%;
    }
        form{
          fieldset:last-child{
          padding : 10px 0px;
        }
    }
    .half-height{
      .toolbar.bottom{
        border-top: solid 1px transparent;
        display: flex;
        justify-content: space-around;
        overflow: hidden;
        padding : 10px;
      }
      .nav-tabs li a.tab-link{
        border-bottom : solid 1px transparent !important;
        padding: 5px 15px;
        font-size: 18px;
      }
      .nav-tabs li.active a, .nav-tabs li.activeTab a{
        font-weight: bold;
      }
      .grid-view .grid-legend{
        display : none !important;
      }
      .ag-header-cell-sorted-asc, .ag-header-cell-sorted-desc{
        background-color : #5cb85c !important;
        color : #fff;
        #agMenu{
          background : linear-gradient(to right, rgba(199, 199, 199, 0) 0%, #5cb85c 30%, #5cb85c 100%) !important;
        }
        svg{
          fill: #fff !important;
        }
      }
      .ag-paging-page-summary-panel{
        button{
          background: transparent !important;
          border: none;
        }
        button:hover{
          span{
             font-weight: bold;
          }
        }
      }
      .pull-left{
        display: flex;
        align-items: flex-end;
        margin-right: auto;
        font-size: 18px;
        color : #000;
        select{
          border: solid 1px transparent;
          border-bottom: solid 1px #000;
          box-shadow: none;
          padding-bottom : 0px;
          padding-left: 0px;
          margin: 0 10px;
        }
      }
    }
  }
  ::-webkit-scrollbar{
    background: #888;
  }
  ::-webkit-scrollbar-thumb{
    background: #fff;
    border: solid 2px #888;
    border-radius: 25px;
  }
}
.individual{
  .player{
    .scale{
      margin-bottom: 10px;
    }
    .timeline-total{
      height: 10px;
    }
    .timeline-current{
      background : rgb(53, 53, 53) !important;
      top : -5px !important;
    }
    .cursor-timeline-current{
      width: 20px;
      height: 20px;
      background: #5cb85c !important;
      border: solid 1.5px #000;
      margin-top: -5px;
    }
    .js-timeline-currentDate{
      padding-top : 5px;
    }
  }
}

.btn-success:hover {
  color: #ffffff;
  background-color: #449d44 !important;
  border-color: #398439 !important;
}
/* .input-group{
  background-color : #fff !important;
  border: solid 1px #000;
}
.input-group-addon{
  background-color : #fff;
  border-right : solid 1px #000;
}
input{
  background-color : #fff !important;
}
 */

.dateTimePicker, .bootstrap-datetimepicker-widget{
  z-index: 90;
}

@media screen and (max-width: 992px){
  .individual{
    .individuals{
        #formTab{
        height: auto !important;
      }
      .half-height{
        height: auto !important;
      }
    }
  }
}
@media screen and (max-width: 1600px){
  .individual{
    .individuals{
        #formTab{
        height: 40%;
        .js-form{
          fieldset{
            padding: 5px !important;
          }
        }
      }
      .half-height{
        height: 60%;
        .toolbar.bottom:first-child{
          padding: 20px 10px 0px 10px !important;
        }
      }
    }
  }
}

.no-overflow-y {
  overflow-y: hidden;
  // overflow: hidden;
}
.height-40 {
  height: 40%;
  // height:auto;
}
.height-60 {
  height: 60%;
  // height:auto;
}
.sensors,.monitoredSites{
  #formTab{
    height: 40%;
    overflow: auto;
  }

}

// Hierarchized picker

reneco-hierarchized-picker {
  font-weight: 400 !important;
}

.hierarchized-picker-input-area {
  display: flex !important;
  align-items: center !important;
}

reneco-hierarchized-picker .hierarchized-picker-input-area span.reneco {
  display: flex;
  padding: 0;
  margin: 0;
}

.hierarchized-picker-input.hierarchized-picker-icon:before{
  top: 0px !important;
  padding: 10px 12px;
  background: #eeeeee;
}

.hierarchized-picker:not(.readonly-mode) .hierarchized-picker-input.hierarchized-picker-icon:before {
  border-right: solid 1px #ccc;
}

reneco-hierarchized-picker .hierarchized-picker-input input {
  width: 100%;
  display: flex;
  flex: 1;
  font-family: 'Exo 2';
}

reneco-hierarchized-picker .hierarchized-picker-search input {
  font-family: 'Exo 2';
  width: 100%;
}

reneco-hierarchized-picker .hierarchized-picker-input-area span.reneco-close {
  transform: none;
}

reneco-hierarchized-picker .hierarchized-picker-input-area span.reneco-close {
  padding: 9px;
}

reneco-hierarchized-picker .hierarchized-picker-modal-area{
  overflow: auto !important;
  // width: 283px;
  width: 100% !important;
  left: -1px;
  top: 33px;
  z-index: 100;
}

reneco-hierarchized-picker .hierarchized-picker-modal, reneco-hierarchized-picker .hierarchized-picker-search, reneco-hierarchized-picker .hierarchized-picker-tree-area {
  // width: 251px !important;
  width: 100% !important;
}

reneco-hierarchized-picker .hierarchized-picker-search {
  display: flex !important;
  background-clip: content-box;
  padding-right: 20px;
}

.js-filters{
  transform: translateZ(0);
    .hierarchized-picker-modal-area {
      position: fixed;
      top: unset;
      left: 0;
      padding: unset;
      border: 1px solid #ccc;
    }
}
.treejs-node__searchmatch {
  font-weight: 600 !important;
  // background-color: #5cb85c !important;
}